﻿@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
}
@section Scripts{
    <script src="/controller/function/function.js" asp-append-version="true"></script>
}
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">HAT Soft</a></li>
                            <li class="breadcrumb-item active">Thêm mới</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Thêm mới chức năng</h4>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <a id="submit-create" class="btn btn-success"><i class="uil-plus-circle"></i>&nbsp; Lưu</a>
                        <a id="submit-create-new" class="btn btn-outline-success"><i class="uil-plus-circle"></i>&nbsp; Lưu & thêm mới</a>
                        <a id="submit-create-close" class="btn btn-outline-success"><i class="mdi mdi-window-close"></i>&nbsp; Lưu & Đóng</a>
                        <a href="/cpanel/function/functions" class="btn btn-outline-secondary"><i class="mdi mdi-window-close"></i>&nbsp; Đóng</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">

                        <h4 class="header-title">Thông tin chức năng</h4>
                        <p class="text-muted font-14">
                            Điền đầy đủ thông tin chức năng
                        </p>

                        <form class="needs-validation" id="frmFunction" novalidate>

                            <div class="mb-3">
                                <label for="txtName" class="form-label">Chức năng cha</label>
                                <select class="form-control select2" data-toggle="select2" id="ddlFunction">
                                    
                                </select>
                            </div>

                            <div class="mb-3">
                                <label for="txtCode" class="form-label">Mã chức năng</label>
                                <input type="text" id="txtCode" name="txtCode" class="form-control" placeholder="Mã chức năng" required>
                                <div class="invalid-feedback">
                                    Mã chức năng không được bỏ trống.!
                                </div>
                            </div>

                            <div class="mb-3">
                                <label for="txtName" class="form-label">Tên chức năng</label>
                                <input type="text" id="txtName" name="txtName" class="form-control" placeholder="Tên chức năng" required>
                                <div class="invalid-feedback">
                                    Tên chức năng không được bỏ trống.!
                                </div>
                                <input type="hidden" id="txtId" name="txtId" class="form-control">
                            </div>

                            <div class="mb-3">
                                <label for="txtUrl" class="form-label">Url</label>
                                <input type="text" id="txtUrl" name="txtUrl" class="form-control" placeholder="Url" required>
                                <div class="invalid-feedback">
                                    Url không được bỏ trống.!
                                </div>
                            </div>

                            <div class="mb-3">
                                <label for="txtIconCss" class="form-label">Icon css</label>
                                <input type="text" id="txtIconCss" name="txtIconCss" class="form-control" placeholder="Icon css" required>
                                <div class="invalid-feedback">
                                    Icon css không được bỏ trống.!
                                </div>
                            </div>

                            <div class="mb-3">
                                <label for="txtSortOrder" class="form-label">Thứ tự</label>
                                <input type="text" id="txtSortOrder" name="txtSortOrder" class="form-control" placeholder="Thứ tự">
                            </div>

                            <div class="mb-3">
                                <div class="form-check">
                                    <input type="checkbox" class="form-check-input" id="chkActive">
                                    <label class="form-check-label form-label" for="chkActive">
                                        Hoạt động / Không hoạt động
                                    </label>
                                </div>
                            </div>
                            @*<button class="btn btn-primary" type="submit" id="submit-create">Submit form</button>*@
                        </form>
                    </div> <!-- end card-body -->
                </div> <!-- end card -->
            </div> <!-- end col -->
        </div>
    </div>






